データ
GET https://tistos.com/api/data/
curl --request GET \
--url 'https://tistos.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | オプション 文字列 | 検索するフィールドは何ですか。許可される値はemail_collector, phone_collector, contact_collector, appointment_calendarです。 |
| datetime_field | オプション 文字列 | 許可される値: datetime |
| datetime_start | オプション 文字列 | この日時から結果を絞り込みます。形式 Y-m-d H:i:s。 |
| datetime_end | オプション 文字列 | この日時まで結果を絞り込みます。形式 Y-m-d H:i:s。 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は、datum_id, datetime です。 |
| order_type | オプション 文字列 | 結果の並び替え。許可される値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | オプション 整数 | 必要なページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数を指定してください。許可される値は10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "[email protected]",
"name": "John doe"
},
"datetime": "2026-07-18 11:34:08",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/data?page=1",
"last": "https://tistos.com/api/data?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/data?page=1"
}
}
GET https://tistos.com/api/data/{datum_id}
curl --request GET \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "[email protected]",
"name": "John doe"
},
"datetime": "2026-07-18 11:34:08",
}
}
DELETE https://tistos.com/api/data/{datum_id}
curl --request DELETE \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \